WhatsApp reveals critical vulnerability in old versions of the app

Whatsapp Reveals Critical Vulnerability In Old Versions Of The App

One query, do you often replace your functions frequently? If you might be one of those that has computerized updates disabled, it’s possible you’ll have an interest in having a look at WhatsApp. In a printed safety advisory last september 23the messaging app has warned of the presence of a brand new critical vulnerability in its system.

This safety flaw It has already been patched in the newest WhatsApp replacebut when now we have an old model our gadget would nonetheless be uncovered, being susceptible to malware assaults.

CVE-2022-36934 vulnerability permits distant code execution

This critical safety flaw detected in WhatsApp has been baptized with the identify CVE-2022-36934, and it’s a pretty vital bug. We are speaking about an error in the WhatsApp code, generally known as integer overflow or “arithmetic splitting”, which permits the attacker to execute their very own code on the sufferer’s cellular.

As indicated by WhatsApp, this error happens in the perform of video callsso the attacker must ship us a crafted video name request in order to take advantage of the vulnerability.

Once the breach is open, the dangerous code can be positioned to open a again door, set up adware, malware and, in the end, compromise the safety of our gadget.

READ :  5 Ways to Solve SIM Card No Service

Update WhatsApp to model 2.22.16.12 or increased

Bug CVE-2022-36934 has been added to the National Database of Vulnerabilities of the United States Department of Commerce, and has been assigned a severity stage of 9.8 out of 10getting into the “Critical” class, the highest stage of severity attainable on the measurement scale.

This vulnerability in the WhatsApp video name service impacts the following versions of the utility:

  • WhatsApp for Android in versions previous to v2.22.16.12
  • WhatsApp Business for Android in versions previous to v2.22.16.12
  • WhatsApp for iOS in versions previous to v2.22.16.12
  • WhatsApp Business for iOS in versions previous to v2.22.16.12

You can examine your model of WhatsApp by opening the utility and getting into “Settings -> Help -> App info”.

1664299081 776 Whatsapp Reveals Critical Vulnerability In Old Versions Of The App

If you will have a model sooner than the talked about v2.22.16.12, you’ll be able to replace the utility by going to the WhatsApp tab in the Google Play Store, or in the Apple AppStore.

Leave a Reply

Your email address will not be published. Required fields are marked *